package com.goafanti.order.service;

import com.goafanti.common.bo.Result;
import com.goafanti.common.model.TaskScore;
import com.goafanti.order.bo.TaskScore.InputTaskScore;

/**
 * 项目评分列表(TaskScore)表服务接口
 *
 * @author makejava
 * @since 2024-09-27 11:51:57
 */
public interface TaskScoreService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    TaskScore queryById(Integer id);


    /**
     * 新增数据
     *
     * @param taskScore 实例对象
     * @return 实例对象
     */
    TaskScore insert(TaskScore taskScore);

    /**
     * 修改数据
     *
     * @param taskScore 实例对象
     * @return 实例对象
     */
    TaskScore update(TaskScore taskScore);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 列表数据
     *
     * @param in 参数
     * @return 是否成功
     */
    Object list(InputTaskScore in);

    Object updateByTid(TaskScore taskScore);

    void updateTOrderNewByTid(Integer tid);

    TaskScore queryByTid(Integer tid);

    Result listExport(InputTaskScore in);

    void updateAdminByTid(Integer id);

}
